package com.bocloud.cmp.entity.enums.installation;

/**
 * EndPoints类 用于组装请求rackhd的url
 *
 * @author 007
 */
public enum EndPoints {
    /**
     * rackhd 2.0的api
     */
    API_2_0("/api/2.0/"),
    /**
     * 操作config请求url
     */
    CONFIG_V2(API_2_0.getValue() + "config"),
    /**
     * 操作obms请求url
     */
    OBMS_V2(API_2_0.getValue() + "obms/%s"),
    /**
     * 操作workflows请求url
     */
    WORKFLOWS_V2(API_2_0.getValue() + "workflows/%s"),
    /**
     * 操作node请求url
     */
    NODES_V2(API_2_0.getValue() + "nodes"),
    /**
     * 操作node请求url
     */
    NODE_V2(API_2_0.getValue() + "nodes/%s"),
    /**
     * 操作node obm请求url
     */
    NODE_OBM_V2(API_2_0.getValue() + "nodes/%s/obm"),
    /**
     * 操作node catalog bmc请求url
     */
    NODE_CATALOG_BMC_V2(API_2_0.getValue() + "nodes/%s/catalogs/bmc"),
    /**
     * * 操作nodes的workflows请求url
     */
    NODE_WORKFLOWS_V2(API_2_0.getValue() + "nodes/%s/workflows"),
    /**
     * 操作nodes的workflows请求url
     */
    NODE_WORKFLOWS_ACTION_V2(API_2_0.getValue() + "nodes/%s/workflows/action"),
    /**
     * * 操作catalogs请求url
     */
    CATALOGS_V2(API_2_0.getValue() + "catalogs/"),
    /**
     * * 操作lookups请求url
     */
    LOOKUPS_V2(API_2_0.getValue() + "lookups"),
    /**
     * * 操作nodes的catalogs请求url
     */
    NODE_CATALOGS_V2(API_2_0.getValue() + "nodes/%s/catalogs"),
    /**
     * * 操作pollers请求url
     */
    NODE_POLLERS_V2(API_2_0.getValue() + "pollers/"),
    /**
     * * 获取pollers的数据请求url
     */
    NODE_POLLERS_DATA_V2(API_2_0.getValue() + "pollers/%s/data"),
    /**
     * * 获取pollers当前数据请求url
     */
    NODE_POLLERS_DATA_CUR_V2(API_2_0.getValue() + "pollers/%s/data/current"),
    /**
     * * 操作hooks请求url
     */
    NODE_HOOKS_V2(API_2_0.getValue() + "hooks/"),
    /**
     * * 操作指定hook请求url
     */
    NODE_HOOK_V2(API_2_0.getValue() + "hooks/%s");
    private final String endpoint;

    EndPoints(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getValue() {
        return this.endpoint;
    }
}
